Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.web
Class AbstractFilter

    java.lang.Object
      org.jboss.seam.web.AbstractFilter

All Implemented Interfaces:
  javax.servlet.Filter

Direct Known Subclasses:
  Ajax4jsfFilter, AuthenticationFilter, CharacterEncodingFilter, ContextFilter, ExceptionFilter, LoggingFilter, MultipartFilter, RedirectFilter

    public abstract class AbstractFilter

extends Object
implements javax.servlet.Filter

Abstract superclass for Seam components that act as servlet filters. Note that since a filter is potentially called outside of a set of Seam contexts, it is not a true Seam component. However, we are able to reuse the functionality for component scanning, installation and configuration for filters. All filters must specify the @Filter annotation to be included by Seam's master filter.

Author:
  Shane Bryzak
See Also:
  `Filter`

Constructor Summary
`AbstractFilter()`

Method Summary
`void` | `destroy()`
`String` | `getRegexUrlPattern()`
`protected javax.servlet.ServletContext` | `getServletContext()`
`String` | `getUrlPattern()`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`boolean` | `isDisabled()`
`boolean` | `isMappedToCurrentRequestPath(javax.servlet.ServletRequest request)` Pattern matching code, adapted from Tomcat.
`void` | `setDisabled(boolean disabled)`
`void` | `setRegexUrlPattern(String regexUrlPattern)`
`void` | `setUrlPattern(String urlPattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Filter
`doFilter`

Constructor Detail

### AbstractFilter

    public AbstractFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### getServletContext

    protected javax.servlet.ServletContext getServletContext()

### getUrlPattern

    public String getUrlPattern()

### setUrlPattern

    public void setUrlPattern(String urlPattern)

### getRegexUrlPattern

    public String getRegexUrlPattern()

### setRegexUrlPattern

    public void setRegexUrlPattern(String regexUrlPattern)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### isMappedToCurrentRequestPath

    public boolean isMappedToCurrentRequestPath(javax.servlet.ServletRequest request)

  Pattern matching code, adapted from Tomcat. This method checks to see if the specified path matches the specified pattern.

  Parameters:
    `request` - ServletRequest The request containing the path
  Returns:
    boolean True if the path matches the pattern, false otherwise

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD